The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages expected in November 2026. We hope you enjoy the updated experience.

Update password configuration policy

Prev Next

The password configuration policy applies to all users on the Trellix NDR appliance. Any changes to the password configuration are applied to all users associated with that NDR appliance.

Note

Only users with Administrator privileges can view or modify the password configuration.

Path (or URL)

PUT https://<NDRC_IP_address>/config/v1/password-policy

cURL code sample

curl -k -u "<username>:<password>" -X PUT https://<NDR_IP_address>/config/v1/password-policy -H "Content-Type: application/json" -d '{
"requireStrongPassword": true,
"requireUppercase": true,
"requireLowercase": true,
"requireNumbers": true,
"requireSpecialChar": true,
"minLength": 9,
"minNumbers": 1,
"disallowUsername": false,
"trackPasswordHistory": false,
"historyCount": 5,
"enableExpiration": false,
"maxPasswordAge": 90,
"expiryNotificationDays": 14,
"enableLoginLockout": false,
"maxFailedAttempts": 5,
"lockoutDuration": 30,
"enableIdleTimeout": false,
"idleTimeoutMinutes": 15
}'

Response

Response parameters

Parameters

Data type/Values

Description

message

Text

Displays if the configuration update was successful.

Response example

{
"message": "Password policy updated successfully"
}    

Response codes

Status

Response

Description

200

OK

Password policy updated and successfully applied to the system PAM files.

400

Bad Request

Invalid request body format, or the payload failed validation (For example, minLength was set outside the allowed 8-15 range).

401

Unauthorized

The user is not authenticated.

403

Forbidden

The authenticated user lacks the required Admin privileges to modify the policy.

500

Internal Server error

The server failed to write the updated policy to the system PAM configuration files.